/* RENDERTARGETS: 0 */
layout(location = 0) out vec3 sceneColor;

#include "/lib/head.glsl"

in vec2 uv;

uniform sampler2D colortex3;

uniform vec2 taaOffset;

uniform mat4 gbufferProjectionInverse, gbufferModelViewInverse;
uniform mat4 gbufferProjection, gbufferModelView;

#include "/lib/util/bicubic.glsl"
#include "/lib/util/transforms.glsl"
#include "/lib/atmos/project.glsl"

void main() {
    vec3 position   = vec3(uv, 1.0);
        position    = screenToViewSpace(position);
        position    = viewToSceneSpace(position);

    sceneColor      = texture(colortex3, projectSkyTiles(normalize(position)) * vec2(1.0, 0.5), 0).rgb;

    //sceneColor  = texture(colortex3, uv).rgb;
}